<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- IGAC proyecto SNC

@author juan.agudelo

Parámetros
@param 		objetoContenedorNumeroPredialParam: 	objeto del tipo Predio o PPredio que almacenara las 
                                                    partes del número predial
@param 		idParam:								id de los objetos que varia dependiendo de donde se
                                                    realice el llamado
@param 		formPIdParam:							id de la forma contenedora													

@description Pantalla de ingreso de número predial dividiendo cada componente (Departamento, Municipio, Tipo de avaluo, 
Sector, Comuna, Barrio, Manzana, Predio, Condicion de propiedad, Edificio, Piso y Unidad) 

@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2

@modified javier.aponte Se cambia manzanaCodigo a manzanaVeredaCodigo

@modified javier.barajas Se agregan la funcionalidad para Bloqueo de Predio de Zonas especiales CU 213
                        
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="#{idParam}numPredialPanelGrid"
             columns="4" width="100%">

    <script type="text/javascript"
            src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
    <script type="text/javascript">

        $(document)
                .ready(
                        function () {
                            $(
                                    '##{formPIdParam}'
                                    + validColonString() + '#{idParam}zonaNumPredial,##{formPIdParam}'
                                                                    + validColonString() + '#{idParam}sectorNumPredial,##{formPIdParam}'
                                                                                                    + validColonString() + '#{idParam}comunaNumPredial,##{formPIdParam}'
                                                                                                                                    + validColonString() + '#{idParam}barrioNumPredial,##{formPIdParam}'
                                                                                                                                                                    + validColonString() + '#{idParam}manzanaNumPredial,##{formPIdParam}'
                                                                                                                                                                                                    + validColonString() + '#{idParam}terrenoNumPredial,##{formPIdParam}'
                                                                                                                                                                                                                                    + validColonString() + '#{idParam}condicionPropiedadNumPredial,##{formPIdParam}'
                                                                                                                                                                                                                                                                    + validColonString() + '#{idParam}edificioNumPredial,##{formPIdParam}'
                                                                                                                                                                                                                                                                                                    + validColonString() + '#{idParam}pisoNumPredial,##{formPIdParam}'
                                                                                                                                                                                                                                                                                                                                    + validColonString() + '#{idParam}unidadNumPredial')
                                                                                                                                                                                                                                                                                                                                    .autotab_magic().autotab_filter('numeric');
                                                                                                                                                                                                                                                                                                                        });
    </script>

    <script type="text/javascript">
        function funcionCambioDpto() {
            $('##{formPIdParam}' + validColonString() + '#{idParam}departamentoNumPredial').val(
                    $('##{formPIdParam}' + validColonString() + '#{idParam}departamento').val());
            $('##{formPIdParam}' + validColonString() + '#{idParam}municipioNumPredial')
                    .val($('##{formPIdParam}' + validColonString() + '#{idParam}municipio').val());
        }
    </script>

    <script type="text/javascript">
        function limpiarContenido() {
            $('##{formPIdParam}' + validColonString() + '#{idParam}departamentoNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}municipioNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}zonaNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}sectorNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}comunaNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}barrioNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}manzanaNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}terrenoNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}condicionPropiedadNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}edificioNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}pisoNumPredial').val();
            $('##{formPIdParam}' + validColonString() + '#{idParam}unidadNumPredial').val();
        }
    </script>

    <script type="text/javascript">
        function funcionCambioMunicipio() {
            $('##{formPIdParam}' + validColonString() + '#{idParam}municipioNumPredial')
                    .val(($('##{formPIdParam}' + validColonString() + '#{idParam}municipio').val()).substring(2, 5));
        }
    </script>


    <h:outputLabel value="No. predial:" styleClass="outputLabelStyle"
                   id="#{idParam}numeroPredialLabel" />
    <p:spacer height="0" width="18" />

    <h:panelGrid columns="13">

        <h:inputText id="#{idParam}departamentoNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.departamentoCodigo}"
                     label="departamentoNumPredial" maxlength="2" size="2"
                     title="Departamento" />

        <h:inputText id="#{idParam}municipioNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.municipioCodigo}"
                     maxlength="3" size="3" title="Municipio" />

        <h:inputText id="#{idParam}zonaNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.tipoAvaluo}"
                     maxlength="2" size="2" title="Zona" />

        <h:inputText id="#{idParam}sectorNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.sectorCodigo}"
                     maxlength="2" size="2" title="Sector" />

        <h:inputText id="#{idParam}comunaNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.comunaCodigo}"
                     maxlength="2" size="2" title="Comuna" />

        <h:inputText id="#{idParam}barrioNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.barrioCodigo}"
                     maxlength="2" size="2" title="Barrio" />

        <h:inputText id="#{idParam}manzanaNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.manzanaVeredaCodigo}"
                     maxlength="4" size="4" title="Manzana/Vereda" />

        <h:inputText id="#{idParam}terrenoNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.predio}" maxlength="4"
                     size="4" title="Terreno" />

        <h:inputText id="#{idParam}condicionPropiedadNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.condicionPropiedad}"
                     maxlength="1" size="1" title="Condición de propiedad" />

        <h:inputText id="#{idParam}edificioNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.edificio}" maxlength="2"
                     size="2" title="Edificio" />

        <h:inputText id="#{idParam}pisoNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.piso}" maxlength="2"
                     size="2" title="Piso" />

        <h:inputText id="#{idParam}unidadNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.unidad}" maxlength="4"
                     size="4" title="Unidad" />

        <p:message for="#{idParam}numeroPredialLabel" display="icon" />
    </h:panelGrid>

    <script type="text/javascript">

        if (document.getElementById('bloquearPredioTabView:busquedaPrediosBdepartamentoNumPredial') != null) {
            document.getElementById('bloquearPredioTabView:busquedaPrediosBdepartamentoNumPredial').readOnly = true;
        }
        if (document.getElementById('bloquearPredioTabView:busquedaPrediosBmunicipioNumPredial') != null) {
            document.getElementById('bloquearPredioTabView:busquedaPrediosBmunicipioNumPredial').readOnly = true;
        }

        if (document.getElementById('bloquearPredioTabView:bloqueoPrediosBdepartamentoNumPredial') != null) {
            document.getElementById('bloquearPredioTabView:bloqueoPrediosBdepartamentoNumPredial').readOnly = true;
        }
        if (document.getElementById('bloquearPredioTabView:bloqueoPrediosBmunicipioNumPredial') != null) {
            document.getElementById('bloquearPredioTabView:bloqueoPrediosBmunicipioNumPredial').readOnly = true;
        }
        if (document.
                getElementById('bloquearPredioEnCondicionesEspecialesTabView:bloquearPrediosParaZonasEnCondicionesEspecialessBdepartamentoNumPredial') != null) {
            document.getElementById('bloquearPredioEnCondicionesEspecialesTabView:bloquearPrediosParaZonasEnCondicionesEspecialessBdepartamentoNumPredial').readOnly = true;
        }
        if (document.
                getElementById('bloquearPredioEnCondicionesEspecialesTabView:bloquearPrediosParaZonasEnCondicionesEspecialessBmunicipioNumPredial') != null) {
            document.getElementById('bloquearPredioEnCondicionesEspecialesTabView:bloquearPrediosParaZonasEnCondicionesEspecialessBmunicipioNumPredial').readOnly = true;
        }

    </script>

</h:panelGrid>
